stl_iterator_base_types.h File Reference

Go to the source code of this file.

## Classes

struct | std::bidirectional_iterator_tag
struct | std::contiguous_iterator_tag
struct | std::forward_iterator_tag
struct | std::input_iterator_tag
struct | std::iterator< _Category, _Tp, _Distance, _Pointer, _Reference >
struct | std::iterator_traits< _Iterator >
struct | std::iterator_traits< _Tp * >
struct | std::output_iterator_tag
struct | std::random_access_iterator_tag

## Namespaces

namespace | std

## Typedefs

template<typename _Iter >
using | std::__iterator_category_t = typename iterator_traits< _Iter >::iterator_category
template<typename _InIter >
using | std::_RequireInputIter = __enable_if_t< is_convertible< __iterator_category_t< _InIter >, input_iterator_tag >::value >

## Functions

template<typename _Iter >
constexpr iterator_traits< _Iter >::iterator_category | std::__iterator_category (const _Iter &)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <iterator>.

This file contains all of the general iterator-related utility types, such as iterator_traits and struct iterator.

Definition in file stl_iterator_base_types.h.